Name: XaraLX
Version: 0.7r1785
Release: alt1.qa1

Summary: Xara Xtreme
License: Proprietary
Group: Graphics
Url: http://www.xaraxtreme.org

Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
Source: http://downloads2.xara.com/opensource/%name-%version.tar.bz2
Source1: %name.desktop
Source2: %{name}-ru.po

BuildPreReq: wxGTK2u-devel >= 2.6.3

# Automatically added by buildreq on Wed May 31 2006
BuildRequires: cvs gcc-c++ libfreetype-devel libgtk+2-devel libjpeg-devel libpng-devel libxml2-devel zip
BuildRequires: desktop-file-utils

%description
Xara LX is primarily a vector graphics (drawing and illustration) program but is
one of the new generation of cross-over products that handles photos and
drawings with equal ease. See xaralx.org for details. Xara LX is currently
incomplete as it is an ongoing port to Linux of the finished product Xara Xtreme
(see www.xara.com/xtreme).

%package help
Summary: Help for %name
Group: Documentation
Requires: %name = %version-%release

%description help
Help for %name
   
%prep
%setup -q
%__cp -aRf %SOURCE2 po/ru.po
%__subst "s|import gnome.canvas|import gnomecanvas|g" wxOil/camelot.cpp

%build
%autoreconf
%configure
%make_build

# Compile locales by hand.
pushd po
    for f in *.po; do
        t=${f#%name-}
        msgfmt -v -o "${t%.po}.mo" "$f"
    done
popd

%install
%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_man1dir
%__mkdir_p %buildroot%_datadir/pixmaps
%__mkdir_p %buildroot%_datadir/applications
%__mkdir_p %buildroot%_datadir/xaralx/{Examples,Templates,doc,doc/en}
%__mkdir_p %buildroot%_datadir/mime/application

# install bin
%__install -p -m 755 %name %buildroot%_bindir
# install man
%__install -p -m 644 doc/xaralx.1 %buildroot%_man1dir/XaraLX.1
# install menu
%__install -p -m 644 %SOURCE1 %buildroot%_datadir/applications
%__install -p -m 644 xaralx.png %buildroot%_datadir/pixmaps

# install doc
tar -xz -f doc/en/xaralxHelp.tar.gz -C %buildroot%_datadir/xaralx/doc/en
# install Templates
%__install -p -m 644 Templates/* %buildroot%_datadir/xaralx/Templates
#  install mime
%__install -p -m 644 Mime/xaralx.xml %buildroot%_datadir/mime/application/

# Install locales by hand.
pushd po
    for f in *.mo; do
        install -pD -m644 "$f" "%buildroot%_datadir/locale/${f%.mo}/LC_MESSAGES/%name.mo"
    done
popd

%find_lang --with-gnome %name

%post
%update_menus
%update_mimedb
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog LICENSE NEWS README wxXtra/WXXTRA-LICENSE libs/LIBS-LICENSE
%_bindir/*
%_man1dir/*
%_datadir/pixmaps/*
%_datadir/applications/*
%_datadir/xaralx
%_datadir/mime/application/*
%exclude %_datadir/xaralx/doc

%files help
%_datadir/xaralx/doc
%doc doc/en/LICENSE

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.7r1785-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * desktop-mime-entry for XaraLX

* Fri Mar 14 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 0.7r1785-alt1
- New version

* Tue Oct 30 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.7r1783-alt2
- Update ru.po (Thanks mex3@)

* Mon Oct 29 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.7r1783-alt1
- New version
- Update ru.po (Thanks mex3@)

* Mon Sep 17 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.7r1780-alt1
- New version
- Update ru.po from https://translations.launchpad.net/xaralx/trunk/+pots/xaralx/ru/+export

* Wed Feb 28 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 0.7r1763-alt1
- Add WXXTRA-LICENSE LIBS-LICENSE
- Change License: Proprietary

* Tue Nov 14 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.7r1763-alt0
- New version
- Allocate of the help in a separate package
- Add Mime/xaralx.xml and %update_mimedb in %post

* Wed Aug 02 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.7r1640-alt0
- New version
- Update spec for compile&install locales
- Add ru.po
- Add local help

* Mon Jun 05 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.5r1244-alt0
- new version

* Mon May 31 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.5r1226-alt0
- initial build
